import bibliothek.BibliothekAusleihe;
import bibliothek.KeineAusgeliehenenBuecherException;
import bibliothek.Nutzer;
import bibliothek.AusgeliehenesBuch;
import bibliothek.UnbekannterNutzerException;

public class UE21Aufgabe2 {

	public static void main(String[] args) {
		int param = 0;
		BibliothekAusleihe bibliothek = new BibliothekAusleihe();
		// so lange noch Parameter existieren
		while (param < args.length) {
			try {
				Nutzer nutzer = Nutzer.getNutzer(args[param]);
				AusgeliehenesBuch[] ausgelieheneBuecher = bibliothek
						.getAusgelieheneBuecher(nutzer);
				;

				System.out.println(args[param] + " hat aktuell "
						+ ausgelieheneBuecher.length + "Buecher ausgeliehen: ");
				int gesamtkosten = 0;
				for (int i = 0; i < ausgelieheneBuecher.length; i++) {
					System.out.println(ausgelieheneBuecher[i].getBuch()
							.getAutor()
							+ ":"
							+ ausgelieheneBuecher[i].getBuch().getTitel());
					gesamtkosten += ausgelieheneBuecher[i].getKosten();
				}

				System.out.println("Angefallene Ausleihekosten = "
						+ gesamtkosten + "EUR.");
			} catch (UnbekannterNutzerException exc) {
				System.out.println("Ein Nutzer mit dem Namen " + args[param]
						+ " ist unbekannt.");
			} catch (KeineAusgeliehenenBuecherException exc) {
				System.out.println("Nutzer " + args[param]
						+ "(Benutzungsnummer "
						+ exc.getNutzer().getBenutzungsnummer()
						+ ") hat aktuell keine Buecher ausgeliehen.");
			}
			System.out.println();
			param++;
		}
	}
}