class NullDivException extends Exception {
}

class NegParamException extends Exception {

	int zahl;

	NegParamException(int zahl) {
		this.zahl = zahl;
	}

	int getZahl() {
		return zahl;
	}
}

public class UE21Aufgabe5L {

	public static int div(int zahl, int durch) throws NullDivException {
		if (durch == 0) {
			throw new NullDivException();
		}
		return zahl / durch;
	}

	public static int fak(int n) throws NegParamException {
		if (n < 0) {
			throw new NegParamException(n);
		}
		if (n == 0)
			return 1;
		else
			return n * fak(n - 1);
	}

	public static void main(String[] args) {
		try {
			int wert = IO.readInt();
			int erg = div(15, wert);
			erg = fak(erg);
			System.out.println("fak(" + (15 / wert) + ") = " + erg);
		} catch (NullDivException exc) {
			System.out.println("Fehler: Division durch 0");
		} catch (NegParamException exc) {
			System.out.println("Fehler: neg. Parameterwert = " + exc.getZahl());
		}

	}
}
