package bibliothek;

public class KeineAusgeliehenenBuecherException extends Exception {
	Nutzer nutzer; // Nutzer, der aktuell keine Buecher ausgeliehen hat

	public KeineAusgeliehenenBuecherException(Nutzer nutzer) {
		this.nutzer = nutzer;
	}

	// liefert den Nutzer, der aktuell keine Buecher ausgeliehen hat
	public Nutzer getNutzer() {
		return this.nutzer;
	}
}
