class NegException extends Exception {
}

class OverflowException extends Exception {
}

class ParamException extends Exception {
}

public class UE21Aufgabe15L {

	public static int subtrahieren(int zahl1, int zahl2) throws ParamException,
			NegException {
		if (zahl1 < 0 || zahl2 < 0) {
			throw new ParamException();
		}
		if (zahl1 < zahl2) {
			throw new NegException();
		}
		return zahl1 - zahl2;
	}

	public static int addieren(int zahl1, int zahl2) throws ParamException,
			OverflowException {
		if (zahl1 < 0 || zahl2 < 0) {
			throw new ParamException();
		}
		if (zahl1 + zahl2 < 0) {
			throw new OverflowException();
		}
		return zahl1 + zahl2;
	}

	public static void main(String[] args) {
		for (int i = 0; i < 3; i++) {
			try {
				int zahl1 = IO.readInt("Zahl 1: ");
				int zahl2 = IO.readInt("Zahl 2: ");
				int diff = subtrahieren(zahl1, zahl2);
				int summe = addieren(zahl1, zahl2);
				System.out.println(zahl1 + "-" + zahl2 + "=" + diff);
				System.out.println(zahl1 + "+" + zahl2 + "=" + summe);
			} catch (ParamException exc) {
				System.out.println("Ungueltiger Parameter!");
			} catch (NegException exc) {
				System.out.println("Ungueltige Subtraktion!");
			} catch (OverflowException exc) {
				System.out.println("Ungueltige Addition!");
			}
		}
	}
}
