class KleinerEinsException extends Exception {
}

class Cardinal extends Object {

	private int wert;

	public Cardinal() {
		this.wert = 1;
	}

	public Cardinal(int wert) throws KleinerEinsException {
		if (wert < 1) {
			throw new KleinerEinsException();
		}
		this.wert = wert;
	}

	public Cardinal(Cardinal obj) {
		this.wert = obj.wert;
	}

	protected Object clone() {
		return new Cardinal(this);
	}

	public boolean equals(Object obj) {
		Cardinal cObj = (Cardinal) obj;
		return this.wert == cObj.wert;
	}

	public String toString() {
		return "" + this.wert;
	}

	public static Cardinal sub(Cardinal card1, Cardinal card2)
			throws KleinerEinsException {
		return new Cardinal(card1.wert - card2.wert);
	}

	public Cardinal sub(Cardinal card2) throws KleinerEinsException {
		if (card2.wert >= this.wert) {
			throw new KleinerEinsException();
		}
		this.wert -= card2.wert;
		return this;
	}
}

public class UE21Aufgabe18 {

	public static void main(String[] args) {
		try {
			int wert = IO.readInt("zahl:");
			Cardinal nat = new Cardinal(wert);
			System.out.println(nat);
		} catch (KleinerEinsException exc) {

		}

	}

}
