
import java.util.ArrayList;

class Kunde {

	// liefert den (eindeutigen) Namen des Kunden
	public String getName() {
		return null;
	}

	// liefert die Bestellungen des Kunden
	public Bestellung[] getBestellungen() {
		return null;
	}
}

class Artikel {

	// liefert eine (eindeutige) Nummer des Artikels
	public String getNummer() {
		return null;
	}

	// liefert eine textuelle Bezeichnung des Artikels
	public String getBezeichnung() {
		return null;
	}

	// liefert den Preis des Artikels
	public double getPreis() {
		return 0.0;
	}
}

class Bestellung {

	// liefert den Kunden der Bestellung
	public Kunde getKunde() {
		return null;
	}

	// liefert die Artikel der Bestellung
	public Artikel[] getArtikel() {
		return null;
	}

}

class KeinKundeException extends Exception {

	public KeinKundeException(String kundenName) {
		super(kundenName);
	}
}

class Shop {

	ArrayList<Kunde> kunden; // registrierte Kunden des Shops
	ArrayList<Artikel> artikel; // im Shop erhaeltliche Artikel

	public Shop() {
		kunden = new ArrayList<Kunde>();
		artikel = new ArrayList<Artikel>();
	}

	// .. weitere Methoden zum Anmelden neuer Kunden,
	// zum Einfügen von Artikeln und
	// zum Bestellen von Artikeln

	// liefert die gesamten Einnahmen aus allen Bestellungen des Kunden mit dem
	// uebergebenen Namen; liefert eine KeinKundeException, wenn es keinen
	// Kunden mit dem uebergebenen Namen gibt
	public double getEinnahmen(String kundenName) throws KeinKundeException {
		double einnahmen = 0.0;
		for (Kunde kunde : kunden) {
			if (kunde.getName().equals(kundenName)) {
				for (Bestellung bestellung : kunde.getBestellungen()) {
					for (Artikel artikel : bestellung.getArtikel()) {
						einnahmen += artikel.getPreis();
					}
				}
				return einnahmen;
			}
		}
		throw new KeinKundeException(kundenName);
	}

	// liefert die gesamten Einnahmen aus allen Bestellungen des Kunden mit dem
	// uebergebenen Namen; liefert eine KeinKundeException, wenn es keinen
	// Kunden mit dem uebergebenen Namen gibt
	public double getEinnahmen2(String kundenName) throws KeinKundeException {
		double einnahmen = 0.0;
		for (int k = 0; k < kunden.size(); k++) {
			if (kunden.get(k).getName().equals(kundenName)) {
				Bestellung[] bestellungen = kunden.get(k).getBestellungen();
				for (int b = 0; b < bestellungen.length; b++) {
					Artikel[] artikel = bestellungen[b].getArtikel();
					for (int a = 0; a < artikel.length; a++) {
						einnahmen += artikel[a].getPreis();
					}
				}
				return einnahmen;
			}
		}
		throw new KeinKundeException(kundenName);
	}

}

class UE21Aufgabe32 {
	
}
